Bug 116421 - Segmentation fault with "iptables-restore -c"
Segmentation fault with "iptables-restore -c"
Product: Red Hat Linux
Classification: Retired
Component: iptables (Show other bugs)
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-02-20 17:15 EST by Edson Da Luz
Modified: 2007-03-27 00:14 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-26 09:22:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Edson Da Luz 2004-02-20 17:15:47 EST
Description of problem:
"iptables-restore" crashes with a "segmentation fault" error when used
with option "-c" and a configuration file created manually. After
several tests I found out that the problem happens when the
configuration file doesn't have the packet/byte counters (e.g. [0:0])
included with the chain names (lines beginnibg with ":"). The counters
must be included in the file in order for "iptables-restore -c" to
work properly. If "iptables-restore" is used without "-c", then the
counters can be omitted from the file.

Version-Release number of selected component (if applicable):
iptables-1.2.7a-2 (original Red Hat 9 distribution)

How reproducible:

Steps to Reproduce:
1. Use iptables-save to create a configuration file.
2. Edit this file and remove all packet/byte counters (e.g. [0:0])
from the file.
3. Load the same file with "iptables-restore -c".
Actual results:
"iptables-restore -c" crashes.

Expected results:
"iptables-restore -c" should work properly I think.

Additional info:
Comment 1 Thomas Woerner 2004-02-26 09:22:07 EST
Fixed in rawhide in rpm iptables-1.2.9-2.3 or newer.

Note You need to log in before you can comment on or make changes to this bug.